﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace _654963_RadDropDownList_AddScreenTips
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            PrepareRadDropDownListControl();

            this.radDropDownList1.DropDownListElement.Popup.ScreenTipNeeded += new Telerik.WinControls.ScreenTipNeededEventHandler(Popup_ScreenTipNeeded);
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            RadOffice2007ScreenTipElement arrowButtonScreenTip = new RadOffice2007ScreenTipElement();
            arrowButtonScreenTip.CaptionLabel.Text = "ArrowButton element";
            arrowButtonScreenTip.MainTextLabel.Text = "ScreenTip";
            this.radDropDownList1.DropDownListElement.ArrowButton.ScreenTip = arrowButtonScreenTip;

            RadOffice2007ScreenTipElement dropDownListElementScreenTip = new RadOffice2007ScreenTipElement();
            dropDownListElementScreenTip.CaptionLabel.Text = "DropDownListElement element";
            dropDownListElementScreenTip.MainTextLabel.Text = "ScreenTip";
            this.radDropDownList1.DropDownListElement.ScreenTip = dropDownListElementScreenTip;

            RadOffice2007ScreenTipElement editableElementScreenTip = new RadOffice2007ScreenTipElement();
            editableElementScreenTip.CaptionLabel.Text = "TextBoxItem element";
            editableElementScreenTip.MainTextLabel.Text = "ScreenTip";
            this.radDropDownList1.DropDownListElement.EditableElement.TextBox.TextBoxItem.ScreenTip = editableElementScreenTip;
        }

        private void PrepareRadDropDownListControl()
        {
            for (int i = 0; i < 10; i++)
            {
                RadListDataItem item = new RadListDataItem(i + ". Some item with longer text");
                radDropDownList1.Items.Add(item);
                RadListDataItem item1 = new RadListDataItem(i + ". Shorter text");
                radDropDownList1.Items.Add(item1);
            }
        }

        void Popup_ScreenTipNeeded(object sender, Telerik.WinControls.ScreenTipNeededEventArgs e)
        {
            RadOffice2007ScreenTipElement screenTip = new RadOffice2007ScreenTipElement();
            screenTip.CaptionLabel.Text = "Caption " + e.Item.Text;
            screenTip.MainTextLabel.Text = "MainText " + e.Item.Text;
            e.Item.ScreenTip = screenTip;
        }           
    }
}
